/*
 * Credits: https://www.engineersgarage.com/project-stm32-low-power-modes-analysis/
 *	
 * This is an Arduino friendly version modified by Fran Calero.
 *
 */
 
#ifndef stm32F0_Sleep
#define stm32F0_Sleep
#include "Arduino.h"

class LowPowerMode{
	public:
	void init();
	void sleep();
	void stop();
	void stopRTCwakeup(uint8_t hours, uint8_t minutes, uint8_t seconds);
	void standby();
	void standbyRTCwakeup(uint8_t hours, uint8_t minutes, uint8_t seconds);
	
};
#endif